# Visualization
TKV2d
AIS2D

# AIS2D_DataMapNodeOfDataMapOfLocStat Class Reference

`#include <AIS2D_DataMapNodeOfDataMapOfLocStat.hxx>`

## Public Member Functions

| AIS2D_DataMapNodeOfDataMapOfLocStat (const Handle(AIS2D_InteractiveObject)&K, const Handle(AIS2D_LocalStatus)&I, const TCollection_MapNodePtr &n)
Handle_AIS2D_InteractiveObject & | Key () const
Handle_AIS2D_LocalStatus & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AIS2D_InteractiveObject | myKey
Handle_AIS2D_LocalStatus | myValue

## Constructor & Destructor Documentation

AIS2D_DataMapNodeOfDataMapOfLocStat::AIS2D_DataMapNodeOfDataMapOfLocStat | ( | const Handle(AIS2D_InteractiveObject)& | K,
|  | const Handle(AIS2D_LocalStatus)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const AIS2D_DataMapNodeOfDataMapOfLocStat::Handle | ( | Standard_Type |  | ) | const

Handle_AIS2D_InteractiveObject& AIS2D_DataMapNodeOfDataMapOfLocStat::Key | ( |  | ) | const

Handle_AIS2D_LocalStatus& AIS2D_DataMapNodeOfDataMapOfLocStat::Value | ( |  | ) | const

## Field Documentation

Handle_AIS2D_InteractiveObject AIS2D_DataMapNodeOfDataMapOfLocStat::myKey `[private]`

Handle_AIS2D_LocalStatus AIS2D_DataMapNodeOfDataMapOfLocStat::myValue `[private]`

The documentation for this class was generated from the following file:

- AIS2D_DataMapNodeOfDataMapOfLocStat.hxx